<%@ page 
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Nameable"
	import="net.sf.basedb.util.overview.Node"
	import="net.sf.basedb.clients.web.extensions.JspContext"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
//Get the JspContext that was created on the main edit page
final JspContext jspContext = (JspContext)request.getAttribute(JspContext.ATTRIBUTE_KEY);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String ID = jspContext.getSessionControl().getId();

//The current node is found in the context.
final Node node = (Node)jspContext.getCurrentItem();

// The current item should be a Nameable
final Nameable item = (Nameable)node.getItem();
final String caseName = item.getName().substring(0, 7);
%>
<base:page type="include" title="Case summary">
<base:body>
	<div style="margin-top: 0.5em; margin-bottom: 0.5em;">
		<base:icon image="<%=home+"/images/case_summary.png"%>" /> 
		<a href="<%=home%>/case_summary.jsp?ID=<%=ID%>&caseName=<%=caseName%>&pageType=iframe"
			>Show summary of case #<%=caseName%></a>
	</div>
</base:body>
</base:page>

